curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
[
{
"ruleId": "00000000-0000-4000-8000-000000000005",
"ruleName": "Refund workflow",
"nodeId": "lookup",
"name": "Check eligibility",
"toolId": "00000000-0000-4000-8000-000000000006"
}
]
Test Suite
List Action fixtures
List Action nodes available to script a test scenario.
GET
/
v2
/
test-suite
/
action-fixtures
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
[
{
"ruleId": "00000000-0000-4000-8000-000000000005",
"ruleName": "Refund workflow",
"nodeId": "lookup",
"name": "Check eligibility",
"toolId": "00000000-0000-4000-8000-000000000006"
}
]
List Action nodes available to script a test scenario.
Use the returned
ruleId, nodeId and toolId together in scenario Action mocks.
Headers
Query parameters
Response
Returns an array of Action nodes from the agent’s current assigned rules.curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/action-fixtures/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
[
{
"ruleId": "00000000-0000-4000-8000-000000000005",
"ruleName": "Refund workflow",
"nodeId": "lookup",
"name": "Check eligibility",
"toolId": "00000000-0000-4000-8000-000000000006"
}
]
Was this page helpful?

